Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001670TestLinkNew Featurepublic2008-08-14 22:262008-12-08 20:03
Reporterntremblay 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 RC 1 
Summary0001670: Contribution - Using Custom Field to obtain estimated time on testplan report.
DescriptionWhen we prepare a test plan, we have to gess for an estimated testplan execution time. If this testplan is a big one, it become very difficult to obtain this estimated time.

This feature request is to obtain a estimated time (not the execution time) on the printed testplan report.

Additional InformationOn my side, I've made a modification in TestLink to obtain an estimated time quickly.

Step 1- Add Custom Field "Estimated time(minutes)" on test case creation (ID=1).
Step 2- Ask testcase creator to fill this field on testcase creation.
Step 3- Modify file:print.inc.php V1.46 (see file attached).

With this little modification, i have a estimated time on my report and it's helping me for test scheduling.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon print.inc.php [^] (14,908 bytes) 2008-08-14 22:26

- Relationships
related to 0001868closedfman Ability to assign execution time for a test case 

-  Notes
(0003973)
fman (administrator)
2008-08-18 20:49

Thanks! I will review your code and see if is possible to add to standard code.

regards
(0003984)
fman (administrator)
2008-08-20 21:12

Some notes from code review (for your future contributions)

1. use only TL database class to access DB, then your code will be usable not only in mysql, but also with mssql and postrgres.

2. try to give a look to TL classes instead of writting code than can work today and not tomorrow example: is not always true that node id for a tcversion linked to a test plan is testcase node is +1.

3. for this implementation is better access to CF by NAME not by ID.

I've made this changes, creating a new method on testplan.class.php
Code is now part of core code

Thanks again

- Issue History
Date Modified Username Field Change
2008-08-14 22:26 ntremblay New Issue
2008-08-14 22:26 ntremblay File Added: print.inc.php
2008-08-18 20:49 fman Note Added: 0003973
2008-08-18 20:49 fman Status new => assigned
2008-08-18 20:49 fman Assigned To => fman
2008-08-20 21:08 fman Summary Obtain estimated time on testplan report. => Contribution - Using Custom Field to obtain estimated time on testplan report.
2008-08-20 21:12 fman Note Added: 0003984
2008-10-23 16:29 fman Status assigned => resolved
2008-10-23 16:29 fman Fixed in Version => next development 1.8 RC 1
2008-10-23 16:29 fman Resolution open => fixed
2008-12-04 17:53 fman Relationship added related to 0001868
2008-12-08 20:03 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker